Qt 5.6 | Qt 3D | C++ Classes | QMesh

Qt 5.6.3 Reference Documentation

# QMesh Class

(Qt3DRender::QMesh)

A custom mesh. More...

Header: | #include <QMesh>
qmake: | QT += 3drender
Instantiated By: | Mesh
Inherits: | QGeometryRenderer

- List of all members, including inherited members

## Properties

- source : QUrl
- subMesh : QString

- 8 properties inherited from Qt3DRender::QGeometryRenderer
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QMesh(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QMesh()
QUrl | source() const
QString | subMesh() const

- 10 public functions inherited from Qt3DRender::QGeometryRenderer
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSource(const QUrl &source)
void | setSubMesh(const QString &subMesh)

- 8 public slots inherited from Qt3DRender::QGeometryRenderer
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | sourceChanged(const QUrl &source)
void | subMeshChanged(const QString &subMesh)

- 8 signals inherited from Qt3DRender::QGeometryRenderer
- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QMesh(QMeshPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

- 1 protected function inherited from Qt3DRender::QGeometryRenderer
- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

A custom mesh.

## Property Documentation

### source : QUrl

Holds the source url to the file containing the custom mesh.

Access functions:

QUrl | source() const
void | setSource(const QUrl &source)

Notifier signal:

void | sourceChanged(const QUrl &source)

### subMesh : QString

Holds the subMesh for the mesh.

Access functions:

QString | subMesh() const
void | setSubMesh(const QString &subMesh)

Notifier signal:

void | subMeshChanged(const QString &subMesh)

## Member Function Documentation

### QMesh::QMesh(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QMesh.

### `[protected]` QMesh::QMesh(QMeshPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QMesh::~QMesh()

Destroys this mesh.